Name:       kdevelop-xml
Version: 0.0.1_1_g787329c
Release:    3%{?dist}
License:    GPLv2
Source0:    kdevelop-xml-%{version}.tar.gz

Summary:    XML Plugin for KDevelop
URL:        http://kdevelop.org

BuildRequires:  kdevplatform-devel
BuildRequires:  kdevelop-devel 
BuildRequires:  kdevelop-pg-qt-devel

%description
QML and JavaScript language support for KDevelop Integrated Development
Environment.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%prep
%setup -qn kdevelop-xml-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ../
popd
make %{?_smp_mflags} -C %{_target_platform} 

%install
make install/fast DESTDIR=${RPM_BUILD_ROOT} -C %{_target_platform}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%{_kde4_libdir}/kde4/kdevsgmlformatter.so
%{_kde4_libdir}/kde4/kdevsgmllanguagesupport.so
%{_kde4_libdir}/kde4/kdevxmlcatalogui.so
%{_kde4_libdir}/kde4/kdevxmlvalidator.so
%{_kde4_libdir}/libkdevsgmlcompletion.so
%{_kde4_libdir}/libkdevsgmlduchain.so
%{_kde4_libdir}/libkdevxmlcatalog.so.1
%{_kde4_libdir}/libkdevxmlcatalog.so.1.0.0
%{_kde4_appsdir}/kdevsgmlformatter/kdevsgmlformatter.rc
%{_kde4_appsdir}/kdevxmlcatalog/catalogs/*.xml
%{_kde4_appsdir}/kdevxmlcatalog/catalogs/*.dtd
%{_kde4_appsdir}/kdevxmlcatalogui/kdevxmlcatalogui.rc
%{_kde4_appsdir}/kdevxmlsupport/kdevxmlvalidator.rc
%{_kde4_datadir}/kde4/services/kdevsgmlformatter.desktop
%{_kde4_datadir}/kde4/services/kdevsgmlsupport.desktop
%{_kde4_datadir}/kde4/services/kdevxmlcatalogui.desktop
%{_kde4_datadir}/kde4/services/kdevxmlvalidator.desktop

%files devel
%{_kde4_includedir}/kdevplatform/kdevxmlcatalog/*.h
%{_kde4_includedir}/kdevsgmlduchain/*.h
%{_kde4_libdir}/libkdevxmlcatalog.so


%changelog
* Mon Feb 03 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1_1_g787329c-3
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-2
- Update to latest git snapshot

* Mon Jan 27 2014 Radek Novacek <rnovacek@redhat.com> - 0.0.1-1
- Initial package
